Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Azure Certificates Management APIs

Fetching List of Azure Certificates

search

Please Note:

Fetching List of Azure Certificates

Use the get /v1/cckm/azure/certificates API to fetch the list of Azure certificates from the Azure vault. The results can be filtered using the query parameters.

Syntax

curl -k '<IP>/api/v1/cckm/azure/certificates?skip=0&limit=10&sort=updatedAt' -H
'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed

Request Parameter

ParameterTypeDescription
AUTHTOKENstringAuthorization token.

Request Query Parameters

ParameterTypeDescription
idstringInternal ID of the Azure certificate.
key_vaultstringName of the Azure key vault.
key_vault_idstringID of the key vault.
cert_namestringName of the certificate.
cloud_namestringName of the cloud.
regionstringRegion name.
crvstringName of the elliptic curve.
statusstringStatus of the certificate.
backupstringBacked up certificates.
enabledbooleanEnabled certificates.
key_sizeintegerSize of the key.
job_config_idstringID of the scheduler configuration job.
deleted_in_azurebooleanFetches the certificates based on their availability in Azure.
algorithmstringKey algorithm.
cidstringFilter the results by Azure certificate ID.
kidstringKey ID on Azure.
sidstringSecret ID on Azure.
gonebooleanFetches certificates based on their existence in the cloud.
versionstringFetches certificates by version. If version is specified as -1, the keys are filtered by latest version.
rotation_job_enabledbooleanFetches certificates based on the rotation job status.
tagsstringFetches certificates based on their tags.
cert_material_originstringSource of the certificate material. The origin of the certificate can be:
• cckm: Material is created on CCKM.
• native: Material is created on the Azure cloud.
managedbooleanFetches certificates managed by AzureVaults.
cert_sourcestringFilter the results by certificate source.
skipintegerNumber of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limitintegerNumbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sortstringComma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/azure/certificates?skip=0&limit=10&sort=updatedAt' -H
'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI1MDIzNTY1Yy0xOWI3LTQyY2UtODZmMi1jNWI3MTA1MTJhZjMiLCJzdWIiOiJsb2NhbHwwMWI4M2EwZS1mY2U1LTQ5MjgtODhiNi0zNTNkMmQ3ZTBiNDMiLCJpc   3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4  iXSwic2lkIjoiZGJlNzU2MWYtZDVhOS00ZGEzLWJiZTEtNjlhMTg0Y2U3YzEzIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6Ijg0MjMxNmZhLWFiOTItNGQ2Ni1hM  jQ4LTkxM2I2MmNhOTQzNSIsImlhdCI6MTYwMTQ2MDc5NCwiZXhwIjoxNjAxNDYxMDk0fQ.4ZoMwbFAYHRHfQbf_yhQ-f5j75HaNaWViOSunTrt8xw' -H 'accept: application/json' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "4e6cdba1-a87b-4b52-9933-b61c0bf9e6aa",
            "uri": "kylo:kylo:cckm:azure-cert:test-cert-995fad5f-9f26-47d6-a537-6c980ff6bfcf",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2022-04-13T02:05:26.859118Z",
            "updatedAt": "2022-04-13T02:05:26.859118Z",
            "synced_at": "2022-04-13T02:05:21Z",
            "cloud_name": "AzureCloud",
            "key_vault": "vault-name::260ecbe7-777b-4d3c-84ea-887620498863",
            "key_vault_id": "84340213-a515-43d1-acc4-e2eaa6efbe94",
            "region": "northcentralus",
            "tenant": "781b4642-6e0e-4794-94df-6b0878ab0317",
            "azure_created_at": "2022-04-13T02:05:21Z",
            "azure_expire_at": "2023-04-13T02:05:21Z",
            "azure_updated_at": "2022-04-13T02:05:21Z",
            "backup": "4f408a63211b4f62b74bf611a13e7fbc1c6df4bc01864be3a2058823c7fc81e7",
            "backup_at": "2022-04-13T02:05:26.843616Z",
            "cert_name": "test-cert",
            "cert_soft_deleted_in_azure": false,
            "deleted": false,
            "gone": false,
            "cert_material_origin": "native",
            "cert_source": "native",
            "operation": "",
            "soft_delete_enabled": true,
            "status": "AVAILABLE",
            "version": "077969ab4e4b43c8805eabee58228fd2",
            "azure_param": {
                "cer": "MIID3jCCAsagAwIBAgIQP7++Dp34TaSAWcrnj9SoZzANBgkqhkiG9w0BAQsFADBsMRcwFQYDVQQDEw53d3cuY29udG9zby5jbzETMBEGA1UECxMKQ29udG9zbyBIUjEQMA4GA1UEChMHQ29udG9zbzEQMA4GA1UEBxMHUmVkbW9uZDELMAkGA1UECBMCV0ExCzAJBgNVBAYTAlVTMB4XDTIyMDQxMzAxNTUyMVoXDTIzMDQxMzAyMDUyMVowbDEXMBUGA1UEAxMOd3d3LmNvbnRvc28uY28xEzARBgNVBAsTCkNvbnRvc28gSFIxEDAOBgNVBAoTB0NvbnRvc28xEDAOBgNVBAcTB1JlZG1vbmQxCzAJBgNVBAgTAldBMQswCQYDVQQGEwJVUzCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAM9vldyArb/RhYt5tjheV3LhKExzlFXU0uDFgHeO/UAZm5KYYRPeoy4RCxtPFqdJs+vgbnPdW/t9ume/Fuek03pNVsSUmZLMSwx0jmuueP3WuPoSBfk5NQwVvN8tFtMJ44qkYc9SvPIAMpf81hWZJXI/d2445SVrGn0CC9JROlwsewMxlpyK5jaD0OoTPGmaa+OY9zF+yv3/+Mq1s+3b9wDks8Ml6/VJuqw7N0fgLwdaAcc2VnQc13PKVkFXauk+UfnSWes7LtyDypeEPo11Hn08Wh7PmF2yuWpB4ii1MfyDy3p4n+JqVgzlffgXYlBryNkSRxzyTCEN62ZW0uhAHgECAwEAAaN8MHowDgYDVR0PAQH/BAQDAgWgMAkGA1UdEwQCMAAwHQYDVR0lBBYwFAYIKwYBBQUHAwEGCCsGAQUFBwMCMB8GA1UdIwQYMBaAFE29V+lwbHNxH6Wf2CeH0wNM5+5HMB0GA1UdDgQWBBRNvVfpcGxzcR+ln9gnh9MDTOfuRzANBgkqhkiG9w0BAQsFAAOCAQEASvOmWOvjinVo5VBDzJ21FNk69UzmSwdZV48kFT13AS9AFdL28Xmi0PU97QnA9eMEdqsd0H88XP5F2MipRr1bzy9cyrnzKThByWTeDiNdxxnPvZLoPN+MndK3ZuSgFNJWNBQUUZuDuXk+3AFRzsTn5ysjc0exTqDx5FCOeJk3JFYtrPb8K0Mj6Wh/iin+cH86FTZCl9ANyf/ezX/wrbnchS0S0rSZBrHpQtpz1h+9pqagLLARX0BXYKTmae8H+tDnNOBDre5DWKWikBZtk8XQAGwmMd47UXzg6JVVQTCwCycoqmDGvMqdzZE7at13M0HiujwcCzMHWxmOz/tOFcITFw==",
                "kid": "https://vault-name.vault.azure.net/keys/test-cert/077969ab4e4b43c8805eabee58228fd2",
                "sid": "https://vault-name.vault.azure.net/secrets/test-cert/077969ab4e4b43c8805eabee58228fd2",
                "x5t": "Xq1g2L-c5aOUB33QPCaiNQUFdAg",
                "lifetime_actions": [
                    {
                        "action": {
                            "action_type": "AutoRenew"
                        },
                        "trigger": {
                            "lifetime_percentage": 80
                        }
                    }
                ],
                "crv": "",
                "exportable": true,
                "key_size": 2048,
                "kty": "RSA",
                "content_type": "application/x-pkcs12",
                "ekus": [
                    "1.3.6.1.5.5.7.3.1",
                    "1.3.6.1.5.5.7.3.2"
                ],
                "key_usage": [
                    "digitalSignature",
                    "keyEncipherment"
                ],
                "subject": "C=US, ST=WA, L=Redmond, O=Contoso, OU=Contoso HR, CN=www.contoso.co",
                "validity_months": 12,
                "issuer_name": "Self",
                "attributes": {
                    "created": 1649815521,
                    "enabled": true,
                    "exp": 1681351521,
                    "nbf": 1649814921,
                    "recoverable_days": 7,
                    "recovery_level": "CustomizedRecoverable+Purgeable",
                    "updated": 1649815521
                }
            }
        }
    ]
}

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.